Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.cpp.model
Interface CppSourceSet

All Superinterfaces:
  Named

    public interface CppSourceSet

extends Named

A `CppSourceSet` represents a logical group of C++ source.

Nested Class Summary

Nested classes/interfaces inherited from interface org.gradle.api.Named
`Named.Namer`

Method Summary
`CppSourceSet` | `cpp(Closure configureClosure)` Configures the C++ source for this set.
`SourceDirectorySet` | `getCpp()` Returns the C++ source which is to be compiled by the C++ compiler.
`SourceDirectorySet` | `getHeaders()` Returns the local header files associated with this source.
`String` | `getName()` Returns the name of this source set.
`CppSourceSet` | `headers(Closure configureClosure)` Configures the headers for this set.

Method Detail

### getName

    String getName()

  Returns the name of this source set.

  Specified by:
    `getName` in interface `Named`
  Returns:
    The name. Never returns null.

### getCpp

    SourceDirectorySet getCpp()

  Returns the C++ source which is to be compiled by the C++ compiler.

  Returns:
    the C++ source. Never returns null.

### cpp

    CppSourceSet cpp(Closure configureClosure)

  Configures the C++ source for this set.

  The given closure is used to configure the `SourceDirectorySet` which contains the C++ source.

  Parameters:
    `configureClosure` - The closure to use to configure the C++ source.
  Returns:
    this

### getHeaders

    SourceDirectorySet getHeaders()

  Returns the local header files associated with this source.

  Returns:
    the header files. Never returns null.

### headers

    CppSourceSet headers(Closure configureClosure)

  Configures the headers for this set.

  The given closure is used to configure the `SourceDirectorySet` which contains the header files.

  Parameters:
    `configureClosure` - The closure to use to configure the header files source.
  Returns:
    this

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD